%global pypi_name pallets-sphinx-themes
%global srcname pallets_sphinx_themes

Name:           python-%{pypi_name}
Version:        2.1.3
Release:        %mkrel 1
Summary:        Sphinx themes for Pallets and related projects
Group:          Development/Python
License:        BSD
URL:            https://github.com/pallets/pallets-sphinx-themes/
Source0:        %{pypi_source}
BuildArch:      noarch
BuildRequires:  python3-devel

%description
Themes for the Pallets projects. If you're writing an extension, use the
appropriate theme to make your documentation look consistent.

%package -n     python3-%{pypi_name}
Summary:        %{summary}
%{?python_provide:%python_provide python3-%{pypi_name}}
%{?python_provide:%python_provide python3-pallets_sphinx_themes}

%description -n python3-%{pypi_name}
Themes for the Pallets projects. If you're writing an extension, use the
appropriate theme to make your documentation look consistent.

%prep
%autosetup -n %{srcname}-%{version}

%generate_buildrequires
%pyproject_buildrequires

%build
%pyproject_wheel

%install
%pyproject_install
%pyproject_save_files pallets_sphinx_themes

%files -n python3-%{pypi_name} -f %{pyproject_files}
%license LICENSE.txt
%doc README.md


%changelog
* Thu May 30 2024 daviddavid <daviddavid> 2.1.3-1.mga10
+ Revision: 2068765
- new version: 2.1.3

* Sat Jan 20 2024 wally <wally> 2.1.1-1.mga10
+ Revision: 2032914
- new version 2.1.1
- use pyproject rpm macros

* Fri Dec 08 2023 wally <wally> 1.2.3-5.mga10
+ Revision: 2015779
- rebuild for py3.12

* Wed Mar 23 2022 umeabot <umeabot> 1.2.3-4.mga9
+ Revision: 1822517
- Mageia 9 Mass Rebuild

* Sun Feb 13 2022 tmb <tmb> 1.2.3-3.mga9
+ Revision: 1774075
- rebuild for python 3.10

* Sun Mar 14 2021 wally <wally> 1.2.3-2.mga9
+ Revision: 1702827
- rebuild for python 3.9

* Sat Feb 29 2020 wally <wally> 1.2.3-1.mga8
+ Revision: 1552127
- new version 1.2.3

* Sun Feb 16 2020 umeabot <umeabot> 1.2.2-3.mga8
+ Revision: 1530978
- Mageia 8 Mass Rebuild

* Sat Sep 07 2019 wally <wally> 1.2.2-2.mga8
+ Revision: 1438158
- rebuild for python3.8

* Tue Aug 13 2019 wally <wally> 1.2.2-1.mga8
+ Revision: 1429207
- new version 1.2.2

* Sat Jul 20 2019 wally <wally> 1.1.4-1.mga8
+ Revision: 1423123
- new version 1.1.4

* Sat Jul 13 2019 wally <wally> 1.1.3-1.mga8
+ Revision: 1420982
- new version 1.1.3

* Sun Jan 13 2019 wally <wally> 1.1.2-1.mga7
+ Revision: 1356053
- imported package python-pallets-sphinx-themes

